#include <p18f14k22.h>

/* For assembler */
#define W 0
#define F 1
#define ACCESS 0
#define BANKED 1


/* prototyping */
void blink(static unsigned char num);
void hpInt();
void checkBuffer();
void main();

void eusart_init();
void eusart_events();
void eusart_send(static unsigned char s);

/* Macros as inline functions */
#define clearKeyMap() _asm\
	CLRF FSR0H,ACCESS\
	MOVLW 0xB0\
	MOVWF FSR0L,ACCESS\
	MOVLW 0xFF\
	MOVWF POSTINC0,ACCESS\
	MOVWF POSTINC0,ACCESS\
	MOVWF POSTINC0,ACCESS\
	MOVWF POSTINC0,ACCESS\
	MOVWF POSTINC0,ACCESS\
	MOVWF POSTINC0,ACCESS\
	MOVWF POSTINC0,ACCESS\
	MOVWF POSTINC0,ACCESS\
	MOVWF POSTINC0,ACCESS\
	MOVWF POSTINC0,ACCESS\
	MOVWF POSTINC0,ACCESS\
	MOVWF POSTINC0,ACCESS\
	MOVWF POSTINC0,ACCESS\
	MOVWF POSTINC0,ACCESS\
	MOVWF POSTINC0,ACCESS\
	MOVWF POSTINC0,ACCESS\
	_endasm
#define btoggle(x,y) _asm BTG x,y,ACCESS _endasm
#define bset(x,y)    _asm BSF x,y,ACCESS _endasm
#define bclear(x,y)  _asm BCF x,y,ACCESS _endasm
