#include <p18f14k50.h>

/* For assembler */
#define W 0
#define F 1
#define ACCESS 0
#define BANKED 1

/* prototyping */
#pragma udata access accessram

void main();

void debug_write_async(unsigned char s);
void debug_write(unsigned char s);
void debug_init();
void debug_flush();

void eusart_init();
void eusart_events();
void eusart_received(static near unsigned char s);
void eusart_send(static near unsigned char s);

void send_to_8255(static unsigned char data);
void ps2_init();
void ps2_receive();
void ps2_received();
void ps2_error();
